@import url(_presets.css);

* {
    box-sizing: border-box;
}

@keyframes slideIn {
  to {
    opacity: 1;
    transform: translate(0);
  }
}

@keyframes slideUp {
  /* from { transform: translateX(10vh); opacity: 0; } */
  to { transform: translateY(0); opacity: 1; }
}

/* Animation für Strich */
@keyframes growLine {
  from {
    height: 0;
  }
  to {
    height: 100%;
  }
}

html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    color: var(--white);
    background-color: var(--background);
    font-family: Arial, Helvetica, sans-serif;
    width: 100vw;
    height: 100vh;
    scroll-behavior: smooth;

}

::-webkit-scrollbar {
    display: none;
}

p {
    font-size: 2vh;
    line-height: 2.5vh;
}

h2 {
    font-size: 4vh; 
    color: var(--prymary);
    margin: 0px;
}

h3 {
    font-size: 2vh;
    margin: 0px;
}

.glass {
  /* width: 300px; */
  /* padding: 30px; */
  /* border-radius: 20px; */
  background: rgba(63, 63, 63, 0.15);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  /* border: 1px solid rgba(0, 0, 0, 0.3); */
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
  /* color: white; */
  /* text-align: center; */
}

/* .line-list {
  list-style: none;
  padding: 0;
  border-left: 3px solid var(--prymary);
}

.line-list li {
  padding: 10px 20px;
  margin: 10px 0;
  background: #292929;
  border-radius: 5px;
} */




/* Animation für Elemente */
/* @keyframes slideIn {
  to {
    transform: translateX(0);
    opacity: 1;
  }
} */


header {
    z-index: 5;
    position: fixed;
    top: 0vh;
    left: 0vw;
    display: flex;
    width: 100vw;
    height: 8vh;
    align-items: center;
    justify-content: start;
    border-bottom: 2px solid var(--foreground);
    box-shadow: 0 2px 20px var(--primary);
    /* border-radius: 4vh; */
    background-color: var(--background);
    /* background-color: blueviolet; */
}

header .logo {
    position: relative;
    width: 2vw;
    height: 2vw;
    left: 1vw;
    background-image: url(img/erde_icon.png);
    background-size: cover;
    transition: transform 0.3s;
    margin-right: 1vw;
}

header .logo:hover {
    transform: rotateY(180deg);
}

header h1 {
    position: relative;
    font-size: 4vh;
    left: 1vw;
}

header .nav-bar {
    /* background: var(--background); */
    display: flex;
    width: 15vw;
    position: absolute;
    right: 5vw;
    justify-content: space-around;
    /* border: var(--primary) solid 2px; */
    border-radius: 2vw;
    text-align: center;
    /* box-shadow: 0px 0px 20px inset var(--primary); */
}

header a{
    display: block;
    text-decoration: none;
    color: var(--white);
}

.nav-bar p {
    /* font-size: 1.8vh;    */
    display: flex;
    position: relative;
    cursor: pointer;
    justify-content: space-around;
    width: 5vw;
    color: var(--white);
    transition: transform 0.3s;
}



.nav-bar p:hover a {
    color: var(--prymary);
}

.nav-bar p::after {
    content: "";
    position: absolute;
    top: 2.5vh;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--prymary);
    transform: scaleX(0);
    transition: transform 0.3s;
}

.nav-bar p:hover::after {
    transform: scaleX(0.7);
}





.hero {
  height: 100vh;          /* Voller Bildschirm */
  position: relative;
  box-shadow: 0px 0px 50px 50px black;
}

.hero a {
    text-decoration: none;
    color: var(--white);
    transition: 0.3s;
}

.hero a:hover {
    color: var(--prymary);
}

.hero p {
    position: relative;
    bottom: 1vh;
    width: 49vw;
    text-align: center;
    /* line-height: 1.5rem; */
}

#earth-container {
  position: sticky;
  top: 0;
  height: 100vh;
  width: 100%;
  background: var(--background);
}

#heading {
    /* background-color: aqua; */
    z-index: 1;
    position: absolute;
    /* display: flex; */
    /* flex-direction: column; */
    height: 80vh;
    width: 80vh;
    left: 20vw;
    top: 7vh;
    font-size: 10vh;
    /* line-height: 30vh; */
}

#heading h2 {
    position: relative;
    bottom: 13vh;
    font-size: 5vh;
    color: var(--white);
}

mark {
    color: var(--prymary);
    background-color: transparent;
}



/* #heading h1 {
    background-color: aqua;
} */

/* #overview {
    display: flex;
    position: absolute;
    z-index: 1;
    width: 100vw;
    height: 20vh;
    top: 40vh;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
} */


.content {
    position: relative;
    /* box-shadow: 0px 4px 30px -3px rgba(0,0,0,1) inset;s */
    min-height: 100vh;      /* Zum Testen Scrollen */
    padding: 10vw;
    padding-top: 30vh;
    /* border-bottom: solid 5px #292929; */
}   

.content ol {
    /* position: relative;
    right: 1.2vw; */
    font-size: 2vh;
    line-height: 2.5vh;
}

.content li {
    display: flex;
    align-items: center;
    height: 6vh;
    width: 80vw;
}

.content a {
    display: block;
    text-decoration: none;
    color: var(--white);
    transition: 0.2s;
    width: 80vw;
    height: 2vh;
    /* background-color: aqua; */
}

.content a:hover  {
    text-decoration: none;
    color: var(--prymary);
}

.text span {
  display: block;
  opacity: 0;
  transform: translateX(-50px);
}

.text.show span {
    animation: slideIn 0.6s ease forwards;
    animation-delay: calc(var(--i) * 0.2s);
}
 

.line-list {
  list-style: none;
  padding: 0;
  /* max-width: 400px; */
  position: relative;
}



/* Der animierte Strich */
.line-list::before {
    z-index: 1;
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 3px;
    height: 0;
    background: var(--prymary);
    transition: height 2s ease;
    animation-delay: 1s;
}

.line-list.active::before {
     height: 100%;
}

/* Listenelemente */
.line-list li {
    background: #292929;
    margin: 2vh 0;
    padding: 0px 20px;
    border-radius: 6px;
    transition: 0.2s;
    
    /* Startposition für Animation */
    /* transform: translateX(-50px); */
    /* opacity: 0; */
    
    /* animation: slideIn 0.5s ease forwards; */
}



.content li:has(a:hover) {
    transform: translateX(20px);
    /* background: var(--prymary); */
}

/* Verzögerung pro Element */
.line-list li:nth-child(1) { animation-delay: 0.2s; }
.line-list li:nth-child(2) { animation-delay: 0.4s; }
.line-list li:nth-child(3) { animation-delay: 0.6s; }
.line-list li:nth-child(4) { animation-delay: 0.8s; }
.line-list li:nth-child(5) { animation-delay: 1s; }
.line-list li:nth-child(6) { animation-delay: 1.2s; }

/* #img-1 {
    position: absolute;
    height: 50vh;
    width: 50vh;
    right: 10vw;
    bottom: 25vh;
    background-image: url(img/treibhauseffekt.jpg);
    background-size: cover;
    border-radius: 5vh;
    box-shadow: 5px 5px 10px 5px black;
} */

.definition {
    /* position: relative; */
    display: flex;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 4px 30px -3px rgba(0,0,0,1) inset; */
    min-height: 100vh;      /* Zum Testen Scrollen */
    padding: 10vw;
    /* padding-top: 30vh; */
}   

.definition .text {
    scroll-margin: 30vh;
    display: flex;
    flex-direction: column;
    padding: 10vh;
    width: 80vw;
    height: 40vh;
    border: 2px solid var(--secondary);
    box-shadow: 0px 0px 50px 5px var(--tertiary) inset;
    border-radius: 5vh;
    opacity: 0;
    transform: translateY(5vw);
    animation: slideIn 1s ease forwards;
    animation-timeline: view();
    animation-range: entry 5% cover 60%;
    /* background-color: var(--tertiary);
    backface-visibility: visible; */
}

/* section span:nth-child(1) {
    height: 4vh;
} */

/* .definition .text p{
    justify-self: center;
} */

.nt-vs-at {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 4px 30px -3px rgba(0,0,0,1) inset; */
    min-height: 100vh;      /* Zum Testen Scrollen */
    /* padding: 10vw; */
    padding-top: 30vh;
}   

.nt-vs-at .text {
    scroll-margin: 20vh;
    display: flex;
    flex-direction: column;
    padding: 10vh;
    width: 80vw;
    height: 100vh;
    border: 2px solid var(--secondary);
    box-shadow: 0px 0px 50px 5px var(--tertiary) inset;
    border-radius: 5vh;
    opacity: 0;
    transform: translateY(5vw);
    animation: slideIn 1s ease forwards;
    animation-timeline: view();
    animation-range: entry 5% cover 60%;
    /* background-color: var(--tertiary);
    backface-visibility: visible; */
}



.nt-vs-at table {
    position: relative;
    /* left: 15vw; */
    top: 5vh;
    text-align: left;
    border-collapse: collapse;
}

.nt-vs-at th, .nt-vs-at td {
    padding: 1vh;
    width: 20vw;
    text-align: left;
}

.nt-vs-at th {
    font-size: 2vh;
}

.nt-vs-at td {
    font-size: 1.8vh;
    height: 8vh;
}

.nt-vs-at th:nth-child(1), .nt-vs-at td:nth-child(1) {
    padding: 2vh;
    width: 10vw;
    text-align: left;
}

.line {
    border-top: 2px solid rgb(34, 34, 34);
}





.creation {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 4px 30px -3px rgba(0,0,0,1) inset; */
    /* min-height: 500vh;      Zum Testen Scrollen */
    /* padding: 10vw; */
    padding-top: 30vh;
}   

/* .creation .line-list .li:hover{
    height: 25vh;
} */

.creation .text {
    scroll-margin: 10vh;
    display: flex;
    flex-direction: column;
    padding: 10vh;
    width: 80vw;
    height: 98vh;
    border: 2px solid var(--secondary);
    box-shadow: 0px 0px 50px 5px var(--tertiary) inset;
    border-radius: 5vh;
    opacity: 0;
    transform: translateY(5vw);
    animation: slideIn 1s ease forwards;
    animation-timeline: view();
    animation-range: entry 5% cover 60%;
    /* background-color: var(--tertiary);
    backface-visibility: visible; */
}

.creation li {
  display: flex;
  /* justify-content: center; */
  align-items: center;
  height: 8vh;
  font-size: 2vh;
}

.creation .part {
    width: 30vw;
    position: relative;
    top: 2vh;    
}

.devide {
  display: flex;
  /* flex-direction:; */
  justify-content: space-between;
}

.creation li:hover {
  height: 24vh;
}

img{
  height:0.5vh; 
  border-radius:8px;
  box-shadow: 2px 2px 10px 5px var(--background);
  border: 2px solid var(--background);

  opacity:0;
  transform:translateX(20px);

  transition:0.4s;
}

/* Bild erscheint */

li:hover img{
  margin-left: 2vw;
  height: 20vh;
  opacity:1;
  transform:translateX(0);
}




.avoidance {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 4px 30px -3px rgba(0,0,0,1) inset; */
    min-height: 100vh;      /* Zum Testen Scrollen */
    /* padding: 10vw; */
    padding-top: 30vh;
}   

.avoidance .text {
    scroll-margin: 25vh;
    display: flex;
    flex-direction: column;
    padding: 10vh;
    width: 80vw;
    height: 62vh;
    border: 2px solid var(--secondary);
    box-shadow: 0px 0px 50px 5px var(--tertiary) inset;
    border-radius: 5vh;
    opacity: 0;
    transform: translateY(5vw);
    animation: slideIn 1s ease forwards;
    animation-timeline: view();
    animation-range: entry 5% cover 60%;
    /* background-color: var(--tertiary);
    backface-visibility: visible; */
}

.avoidance li {
    display: flex;
    /* justify-content: center; */
    align-items: center;
    height: 8vh;
    font-size: 2vh;
}

.avoidance .part {
    position: relative;
    top:2vh;
    width: 20vw;
}




.consequences {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 4px 30px -3px rgba(0,0,0,1) inset; */
    min-height: 100vh;      /* Zum Testen Scrollen */
    /* padding: 10vw; */
    padding-top: 30vh;
}   

.consequences h2 {
    margin-bottom: 3vh;
}

.consequences .text {
    scroll-margin: 10vh;
    display: flex;
    flex-direction: column;
    padding: 5vw;
    width: 80vw;
    height: 185vh;
    border: 2px solid var(--secondary);
    box-shadow: 0px 0px 50px 5px var(--tertiary) inset;
    border-radius: 5vh;
    opacity: 0;
    transform: translateY(5vw);
    animation: slideIn 1s ease forwards;
    animation-timeline: view();
    animation-range: entry 5% cover 60%;
    /* background-color: var(--tertiary);
    backface-visibility: visible; */
}

.consequences li {
  display: flex;
  /* justify-content: center; */
  align-items: center;
  height: 8vh;
  font-size: 2vh;
}